Simulate a bank transfer
Simulates an external bank transfer and adds funds to the payment method’s balance. This method can only be called in test mode.
curl --request POST \
--url https://api.yorlet.com/v1/payment_methods/{id}/fund_bank_transfer \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"amount": 2,
"reference": "<string>"
}
'import requests
url = "https://api.yorlet.com/v1/payment_methods/{id}/fund_bank_transfer"
payload = {
"amount": 2,
"reference": "<string>"
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({amount: 2, reference: '<string>'})
};
fetch('https://api.yorlet.com/v1/payment_methods/{id}/fund_bank_transfer', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.yorlet.com/v1/payment_methods/{id}/fund_bank_transfer",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'amount' => 2,
'reference' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.yorlet.com/v1/payment_methods/{id}/fund_bank_transfer"
payload := strings.NewReader("{\n \"amount\": 2,\n \"reference\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.yorlet.com/v1/payment_methods/{id}/fund_bank_transfer")
.header("Authorization", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"amount\": 2,\n \"reference\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.yorlet.com/v1/payment_methods/{id}/fund_bank_transfer")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"amount\": 2,\n \"reference\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"id": "<string>",
"created": 123,
"object": "payment_method",
"billing_details": {
"address": {
"line1": "<string>",
"line2": "<string>",
"city": "<string>",
"country": "<string>",
"postal_code": "<string>",
"state": "<string>"
},
"email": "<string>",
"name": "<string>",
"phone": "<string>"
},
"customer": "<string>",
"mandate": {
"network_status": "<string>",
"reference": "<string>",
"url": "<string>"
},
"status": "chargeable",
"type": "alipay",
"account": "<string>",
"deleted": false
}Authorizations
API Key authentication. Use "Bearer YOUR_API_KEY".
Path Parameters
The id identifier.
Body
Response
Returns a payment method object if successful.
- Alipay
- Autogiro
- Bacs debit
- Bank transfer
- Card present
- Card
- Direct transfer
- GBP credit transfer
- Pay by bank
- Sepa debit
- Wechat pay
The Alipay payment method.
Unique identifier for the object.
Time at which the object was created. Measured in seconds since the Unix epoch.
payment_method Billing information associated with the payment method.
Show child attributes
Show child attributes
The customer this payment method is attached to.
The Direct Debit mandate associated with this payment method, if any.
Show child attributes
Show child attributes
The current status of the payment method.
chargeable, pending, failed The type of the payment method.
alipay The account that the object belongs to. Only returned if the request is made with a valid Yorlet-Context header.
Only returned if the object has been deleted.
Was this page helpful?
curl --request POST \
--url https://api.yorlet.com/v1/payment_methods/{id}/fund_bank_transfer \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"amount": 2,
"reference": "<string>"
}
'import requests
url = "https://api.yorlet.com/v1/payment_methods/{id}/fund_bank_transfer"
payload = {
"amount": 2,
"reference": "<string>"
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({amount: 2, reference: '<string>'})
};
fetch('https://api.yorlet.com/v1/payment_methods/{id}/fund_bank_transfer', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.yorlet.com/v1/payment_methods/{id}/fund_bank_transfer",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'amount' => 2,
'reference' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.yorlet.com/v1/payment_methods/{id}/fund_bank_transfer"
payload := strings.NewReader("{\n \"amount\": 2,\n \"reference\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.yorlet.com/v1/payment_methods/{id}/fund_bank_transfer")
.header("Authorization", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"amount\": 2,\n \"reference\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.yorlet.com/v1/payment_methods/{id}/fund_bank_transfer")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"amount\": 2,\n \"reference\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"id": "<string>",
"created": 123,
"object": "payment_method",
"billing_details": {
"address": {
"line1": "<string>",
"line2": "<string>",
"city": "<string>",
"country": "<string>",
"postal_code": "<string>",
"state": "<string>"
},
"email": "<string>",
"name": "<string>",
"phone": "<string>"
},
"customer": "<string>",
"mandate": {
"network_status": "<string>",
"reference": "<string>",
"url": "<string>"
},
"status": "chargeable",
"type": "alipay",
"account": "<string>",
"deleted": false
}